### Constructor

# Gtk FlattenListModelnew

#### Declaration [src]

    GtkFlattenListModel*
    gtk_flatten_list_model_new (
      GListModel* model
    )

#### Description [src]

Creates a new `GtkFlattenListModel` that flattens `list`.

#### Parameters

`model`

  Type: `GObject`

  The model to be flattened.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkFlattenListModel`

A new `GtkFlattenListModel`

The caller of the function takes ownership of the data, and is responsible for freeing it.